Package com.sap.ai.sdk.core.model

# Class MetaExtensionsDatasetCapabilities

java.lang.Object
com.sap.ai.sdk.core.model.MetaExtensionsDatasetCapabilities

public class MetaExtensionsDatasetCapabilities extends Object
List of Dataset extension capabilities

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaExtensionsDatasetCapabilities()`
  Default constructor for MetaExtensionsDatasetCapabilities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetaExtensionsDatasetCapabilities`
  `create()`
  Create a new `MetaExtensionsDatasetCapabilities` instance.
  `MetaExtensionsDatasetCapabilities`
  `delete(Boolean delete)`
  Set the delete of this `MetaExtensionsDatasetCapabilities` instance and return the same instance.
  `MetaExtensionsDatasetCapabilities`
  `download(Boolean download)`
  Set the download of this `MetaExtensionsDatasetCapabilities` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaExtensionsDatasetCapabilities`.
  `int`
  `hashCode()`
  `Boolean`
  `isDelete()`
  Support for deletion of files
  `Boolean`
  `isDownload()`
  Support for downloading of files
  `Boolean`
  `isUpload()`
  Support for uploading of files
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaExtensionsDatasetCapabilities` instance.
  `void`
  `setDelete(Boolean delete)`
  Set the delete of this `MetaExtensionsDatasetCapabilities` instance.
  `void`
  `setDownload(Boolean download)`
  Set the download of this `MetaExtensionsDatasetCapabilities` instance.
  `void`
  `setUpload(Boolean upload)`
  Set the upload of this `MetaExtensionsDatasetCapabilities` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaExtensionsDatasetCapabilities` instance including unrecognized properties.
  `String`
  `toString()`
  `MetaExtensionsDatasetCapabilities`
  `upload(Boolean upload)`
  Set the upload of this `MetaExtensionsDatasetCapabilities` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaExtensionsDatasetCapabilities

    protected MetaExtensionsDatasetCapabilities()
    Default constructor for MetaExtensionsDatasetCapabilities.

- ## Method Details

  - ### upload

    @Nonnull public MetaExtensionsDatasetCapabilities upload(@Nullable Boolean upload)
    Set the upload of this `MetaExtensionsDatasetCapabilities` instance and return the same instance.
    Parameters:
      `upload` - Support for uploading of files
    Returns:
      The same instance of this `MetaExtensionsDatasetCapabilities` class

  - ### isUpload

    @Nonnull public Boolean isUpload()
    Support for uploading of files
    Returns:
      upload The upload of this `MetaExtensionsDatasetCapabilities` instance.

  - ### setUpload

    public void setUpload(@Nullable Boolean upload)
    Set the upload of this `MetaExtensionsDatasetCapabilities` instance.
    Parameters:
      `upload` - Support for uploading of files

  - ### download

    @Nonnull public MetaExtensionsDatasetCapabilities download(@Nullable Boolean download)
    Set the download of this `MetaExtensionsDatasetCapabilities` instance and return the same instance.
    Parameters:
      `download` - Support for downloading of files
    Returns:
      The same instance of this `MetaExtensionsDatasetCapabilities` class

  - ### isDownload

    @Nonnull public Boolean isDownload()
    Support for downloading of files
    Returns:
      download The download of this `MetaExtensionsDatasetCapabilities` instance.

  - ### setDownload

    public void setDownload(@Nullable Boolean download)
    Set the download of this `MetaExtensionsDatasetCapabilities` instance.
    Parameters:
      `download` - Support for downloading of files

  - ### delete

    @Nonnull public MetaExtensionsDatasetCapabilities delete(@Nullable Boolean delete)
    Set the delete of this `MetaExtensionsDatasetCapabilities` instance and return the same instance.
    Parameters:
      `delete` - Support for deletion of files
    Returns:
      The same instance of this `MetaExtensionsDatasetCapabilities` class

  - ### isDelete

    @Nonnull public Boolean isDelete()
    Support for deletion of files
    Returns:
      delete The delete of this `MetaExtensionsDatasetCapabilities` instance.

  - ### setDelete

    public void setDelete(@Nullable Boolean delete)
    Set the delete of this `MetaExtensionsDatasetCapabilities` instance.
    Parameters:
      `delete` - Support for deletion of files

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaExtensionsDatasetCapabilities`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaExtensionsDatasetCapabilities` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaExtensionsDatasetCapabilities` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaExtensionsDatasetCapabilities` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaExtensionsDatasetCapabilities create()
    Create a new `MetaExtensionsDatasetCapabilities` instance. No arguments are required.